net.minecraft.item

## Class ItemDye

- java.lang.Object
- - net.minecraft.item.Item
  - - net.minecraft.item.ItemDye

-     public class ItemDye
      extends Item

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.item.Item

      `Item.ToolMaterial`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `field_150921_b`
    `static int[]` | `field_150922_c`
    `static java.lang.String[]` | `field_150923_a`

    - ### Fields inherited from class net.minecraft.item.Item

      `bFull3D, canRepair, field_111210_e, hasSubtypes, iconString, itemIcon, itemRand, itemRegistry, maxStackSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemDye()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `applyBonemeal(ItemStack p_150919_0_, World p_150919_1_, int p_150919_2_, int p_150919_3_, int p_150919_4_, EntityPlayer player)`
    `static void` | `func_150918_a(World p_150918_0_, int p_150918_1_, int p_150918_2_, int p_150918_3_, int p_150918_4_)`
    `static boolean` | `func_150919_a(ItemStack p_150919_0_, World p_150919_1_, int p_150919_2_, int p_150919_3_, int p_150919_4_)`
    `IIcon` | `getIconFromDamage(int par1)`
    `void` | `getSubItems(Item p_150895_1_, CreativeTabs p_150895_2_, java.util.List p_150895_3_)`
    `java.lang.String` | `getUnlocalizedName(ItemStack par1ItemStack)`
    `boolean` | `itemInteractionForEntity(ItemStack par1ItemStack, EntityPlayer par2EntityPlayer, EntityLivingBase par3EntityLivingBase)`
    `boolean` | `onItemUse(ItemStack par1ItemStack, EntityPlayer par2EntityPlayer, World par3World, int par4, int par5, int par6, int par7, float par8, float par9, float par10)`
    `void` | `registerIcons(IIconRegister par1IconRegister)`

    - ### Methods inherited from class net.minecraft.item.Item

      `addInformation, canHarvestBlock, canItemEditBlocks, createEntity, doesContainerItemLeaveCraftingGrid, doesSneakBypassUse, func_150893_a, func_150897_b, getArmorModel, getArmorTexture, getAttributeModifiers, getChestGenBase, getColorFromItemStack, getContainerItem, getContainerItem, getCreativeTab, getCreativeTabs, getDamage, getDigSpeed, getDisplayDamage, getDurabilityForDisplay, getEntityLifespan, getFontRenderer, getHarvestLevel, getHasSubtypes, getIcon, getIcon, getIconFromDamageForRenderPass, getIconIndex, getIconString, getIdFromItem, getIsRepairable, getItemAttributeModifiers, getItemById, getItemEnchantability, getItemFromBlock, getItemStackDisplayName, getItemStackLimit, getItemStackLimit, getItemUseAction, getMaxDamage, getMaxDamage, getMaxItemUseDuration, getMetadata, getMovingObjectPositionFromPlayer, getPotionEffect, getRarity, getRenderPasses, getShareTag, getSmeltingExperience, getSpriteNumber, getToolClasses, getUnlocalizedName, getUnlocalizedNameInefficiently, hasContainerItem, hasContainerItem, hasCustomEntity, hasEffect, hasEffect, hitEntity, isBookEnchantable, isDamageable, isDamaged, isFull3D, isItemTool, isMap, isPotionIngredient, isRepairable, isValidArmor, onArmorTick, onBlockDestroyed, onBlockStartBreak, onCreated, onDroppedByPlayer, onEaten, onEntityItemUpdate, onEntitySwing, onItemRightClick, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingTick, registerItems, renderHelmetOverlay, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setDamage, setFull3D, setHarvestLevel, setHasSubtypes, setMaxDamage, setMaxStackSize, setNoRepair, setPotionEffect, setTextureName, setUnlocalizedName, shouldRotateAroundWhenRendering, showDurabilityBar`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_150923_a

          public static final java.lang.String[] field_150923_a

    - #### field_150921_b

          public static final java.lang.String[] field_150921_b

    - #### field_150922_c

          public static final int[] field_150922_c

  - ### Constructor Detail

    - #### ItemDye

          public ItemDye()

  - ### Method Detail

    - #### getIconFromDamage

          public IIcon getIconFromDamage(int par1)

      Overrides:
        `getIconFromDamage` in class `Item`

    - #### getUnlocalizedName

          public java.lang.String getUnlocalizedName(ItemStack par1ItemStack)

      Overrides:
        `getUnlocalizedName` in class `Item`

    - #### onItemUse

          public boolean onItemUse(ItemStack par1ItemStack,
                          EntityPlayer par2EntityPlayer,
                          World par3World,
                          int par4,
                          int par5,
                          int par6,
                          int par7,
                          float par8,
                          float par9,
                          float par10)

      Overrides:
        `onItemUse` in class `Item`

    - #### func_150919_a

          public static boolean func_150919_a(ItemStack p_150919_0_,
                              World p_150919_1_,
                              int p_150919_2_,
                              int p_150919_3_,
                              int p_150919_4_)

    - #### applyBonemeal

          public static boolean applyBonemeal(ItemStack p_150919_0_,
                              World p_150919_1_,
                              int p_150919_2_,
                              int p_150919_3_,
                              int p_150919_4_,
                              EntityPlayer player)

    - #### func_150918_a

          public static void func_150918_a(World p_150918_0_,
                           int p_150918_1_,
                           int p_150918_2_,
                           int p_150918_3_,
                           int p_150918_4_)

    - #### itemInteractionForEntity

          public boolean itemInteractionForEntity(ItemStack par1ItemStack,
                                         EntityPlayer par2EntityPlayer,
                                         EntityLivingBase par3EntityLivingBase)

      Overrides:
        `itemInteractionForEntity` in class `Item`

    - #### getSubItems

          public void getSubItems(Item p_150895_1_,
                         CreativeTabs p_150895_2_,
                         java.util.List p_150895_3_)

      Overrides:
        `getSubItems` in class `Item`

    - #### registerIcons

          public void registerIcons(IIconRegister par1IconRegister)

      Overrides:
        `registerIcons` in class `Item`